package com.template.services;

import com.template.model.pojo.SmartScore;
import com.template.model.pojo.SmartScore;
import com.baomidou.mybatisplus.extension.service.IService;
import com.template.model.result.PageUtils;
import com.template.model.vo.ScorePageVo;

import java.util.List;

/**
 * <p>
 * 楼栋表 服务类
 * </p>
 *
 * @author ceshi
 * @since 2024-01-02
 */
public interface SmartScoreService extends IService<SmartScore> {
    int insertSmartScore(SmartScore rns);

    int updateSmartScore(SmartScore rns);

    PageUtils<SmartScore> queryPageSmartScores(int currentPage, int pageCount, String name);

    int deleteSmartScoreById(int id);

    SmartScore getSmartById(int id);

    int deleteSmartScoreByIds(List<Integer> ids);

    PageUtils<ScorePageVo> querySmartScorePage(int currentPage, int pageCount, String name, String semester, String grade, String schoolClass, Integer subject, Integer examType, Double MinScore, Double MaxScore);

    List<ScorePageVo> querySmartScores(String name, String semester, String grade, String schoolClass, Integer subject, Integer examType, Double MinScore, Double MaxScore);
}
